$(document).ready(function(){
if(Modernizr.cssanimations && Modernizr.csstransitions) {
// Create the markup for the trigger links
	var holder = $('.holder');
	var controls  = '<ol id="trigger"><li data-img="bee-1" class="active">1</li><li data-img="bee-2">2</li><li data-img="bee-3">3</li><li data-img="bee-4">4</li></ol>';
	function swapStage1(e) {
// Set the class of 'active' on the clicked link
		$(e.currentTarget).addClass('active').siblings().removeClass('active');
// Get the data attribute of the clicked link
		var img2data = $(e.currentTarget).data('img');
// Change the src of the behindmost image to the data attribute of the clicked link
		holder.find('img.img-2').attr('src',img2data + '.jpg').addClass('stage-1');
	}
	function swapStage2(e) {
// Select the two images and swap their classes, triggering the animation of the behindmost image
		var screen1 = holder.find('img.img-1');
		var screen2 = holder.find('img.img-2');
		screen1.attr('class','img-2 stage-2');
		screen2.attr('class','img-1');
		$('#trigger li.active').removeClass('rotate');
	}
	function swapStage3(e) {
// Select the two images and swap their order in the DOM
		var screen1 = holder.find('img.img-1');
		var screen2 = holder.find('img.img-2');
		screen2.removeClass('stage-2').detach();
		screen1.after(screen2);
	}
	function rotate(e) {
		$('#trigger li.active').addClass('rotate');
	}
// Add the trigger links after the images
	holder.after(controls);
// Create the event which begins the animation
	$('#trigger').on('click','li:not(.active)',swapStage1);
// When the animation of the behindmost image ends, trigger the next stage
	holder.on('animationend oanimationend MSAnimationend webkitAnimationEnd','img.img-2.stage-1',swapStage2);
// Spin the clicked link when the animation starts
	holder.on('animationstart oanimationstart MSAnimationstart webkitAnimationStart','img.img-2.stage-1',rotate);
// When the transition of the now behindmost image ends, trigger the next stage
	holder.on('transitionend otransitionend MSTransitionend webkitTransitionEnd','img.img-2.stage-2', swapStage3);
} else {
	// Fallback script for non-supporting browsers
}
});